Loading...
Searching...
No Matches
MoleculeInfo Class Reference

All layer dependent data. Original molecule `mol`, is layer hidden `visible`, accepts edits `locked`, and key-value data like `enable`, and custom data `settings`.

`#include <avogadro/core/layermanager.h>`

## Public Member Functions

| MoleculeInfo (const Molecule *m)
void | clear ()

## Public Attributes

const Molecule * | mol
std::vector< bool > | visible
std::vector< bool > | locked
std::map< std::string, std::vector< bool > > | enable
std::map< std::string, Core::Array< LayerData * > > | settings
Layer | layer
std::set< std::string > | loaded

The documentation for this class was generated from the following file:

- layermanager.h